hyperflags.h File Reference

Defines constants and flags for normal hypersurface enumeration. More...

`#include "regina-core.h"`
`#include "utilities/flags.h"`

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef regina::Flags< HyperListFlags > | regina::HyperList
| A combination of flags for types of normal hypersurface lists. More...
typedef regina::Flags< HyperAlgFlags > | regina::HyperAlg
| A combination of flags for types of normal surface lists. More...

## Enumerations

enum | regina::HyperListFlags { regina::HS_LIST_DEFAULT = 0x0000, regina::HS_EMBEDDED_ONLY = 0x0001, regina::HS_IMMERSED_SINGULAR = 0x0002, regina::HS_VERTEX = 0x0004, regina::HS_FUNDAMENTAL = 0x0008, regina::HS_LEGACY = 0x4000, regina::HS_CUSTOM = 0x8000 }
| Represents different lists of normal hypersurfaces that might be constructed for a given 4-manifold triangulation. More...
enum | regina::HyperAlgFlags { regina::HS_ALG_DEFAULT = 0x0000, regina::HS_VERTEX_DD = 0x0020, regina::HS_HILBERT_PRIMAL = 0x0100, regina::HS_HILBERT_DUAL = 0x0200, regina::HS_ALG_LEGACY = 0x4000, regina::HS_ALG_CUSTOM = 0x8000 }
| Represents options and variants of algorithms for enumerating various types of normal hypersurfaces in 4-manifold triangulations. More...

## Functions

HyperList | regina::operator| (HyperListFlags lhs, HyperListFlags rhs)
| Returns the bitwise OR of the two given flags. More...
HyperAlg | regina::operator| (HyperAlgFlags lhs, HyperAlgFlags rhs)
| Returns the bitwise OR of the two given flags. More...

## Detailed Description

Defines constants and flags for normal hypersurface enumeration.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).